Bug 501255 - sound / audio permission denied Fedora 10
sound / audio permission denied Fedora 10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 05:03 EDT by topher.wheeler
Modified: 2013-01-13 09:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:27:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description topher.wheeler 2009-05-18 05:03:32 EDT
Description of problem:
 Sound can NOT play as a regular user.  The 'beep' sounds fine (through external speakers via 'pcspkr' module).  All sound drivers , etc. load fine.  Sound plays fine as root (because that's the permissions on the related dev nodes).

Version-Release number of selected component (if applicable):
  Linux kernel 2.6.27.21-170.2.56.fc10.i686
  Fedora 10 (with current updates)

How reproducible:
  Always, as regular user.
  

Steps to Reproduce:
1. aplay file.wav
2.
3.
  
Actual results:
ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:3513:(_snd_config_evaluate) function snd_func_card_driver returned error: Permission denied
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3513:(_snd_config_evaluate) function snd_func_concat returned error: Permission denied
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:3513:(_snd_config_evaluate) function snd_func_refer returned error: Permission denied
ALSA lib conf.c:3985:(snd_config_expand) Evaluate error: Permission denied
ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM default
aplay: main:608: audio open error: Permission denied


Expected results:
  (sound!) =)

Additional info:
$ lsmod
Module                  Size  Used by
sunrpc                156052  3 
ipv6                  230516  20 
dm_multipath           17164  0 
ppdev                  10500  0 
dcdbas                 10272  0 
snd_cs4236             18188  0 
snd_opl3_lib           12800  1 snd_cs4236
snd_hwdep              10500  1 snd_opl3_lib
snd_cs4236_lib         17792  1 snd_cs4236
snd_mpu401_uart        10368  1 snd_cs4236
snd_seq_dummy           6660  0 
snd_rawmidi            22528  1 snd_mpu401_uart
snd_cs4231_lib         24832  2 snd_cs4236,snd_cs4236_lib
snd_seq_oss            30364  0 
snd_seq_midi_event      9600  1 snd_seq_oss
snd_seq                48576  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         10124  5 snd_opl3_lib,snd_seq_dummy,snd_rawmidi,snd_seq_oss,snd_seq
snd_pcm_oss            42496  0 
snd_mixer_oss          16896  1 snd_pcm_oss
snd_pcm                65924  3 snd_cs4236_lib,snd_cs4231_lib,snd_pcm_oss
snd_timer              22024  4 snd_opl3_lib,snd_cs4231_lib,snd_seq,snd_pcm
snd                    50616  15 snd_cs4236,snd_opl3_lib,snd_hwdep,snd_cs4236_lib,snd_mpu401_uart,snd_seq_dummy,snd_rawmidi,snd_cs4231_lib,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9416  1 snd
ns558                   8320  0 
snd_page_alloc         11016  2 snd_cs4231_lib,snd_pcm
gameport               13452  2 ns558
floppy                 51988  0 
serio_raw               8836  0 
3c59x                  40232  0 
mii                     8192  1 3c59x
joydev                 12736  0 
i2c_piix4              12688  0 
parport_pc             25620  0 
parport                31956  2 ppdev,parport_pc
ata_generic             8452  0 
pata_acpi               7680  0 
radeon                237912  2 
drm                   158260  3 radeon
i2c_algo_bit            8836  1 radeon
i2c_core               21396  4 i2c_piix4,radeon,drm,i2c_algo_bit
('pcspkr' blacklisted by me; I hate that beep!)

$ ls -l /dev/snd/
total 0
crw-rw----  1 root root 116, 8 2009-05-17 16:45 controlC0
crw-rw----  1 root root 116, 5 2009-05-17 16:45 hwC0D0
crw-rw----  1 root root 116, 4 2009-05-17 16:45 midiC0D0
crw-rw----  1 root root 116, 7 2009-05-17 16:45 pcmC0D0c
crw-rw----  1 root root 116, 6 2009-05-17 16:45 pcmC0D0p
crw-rw----+ 1 root root 116, 3 2009-05-17 16:45 seq
crw-rw----+ 1 root root 116, 2 2009-05-17 16:45 timer


$ ls -l /dev/dsp
crw-rw---- 1 root root 14, 3 2009-05-17 16:45 /dev/dsp



... Like I said, everything works fine as super user.  I currently have pulse-audio removed / disabled (I hate sound servers!) - the problem was the same before I did that.
Comment 1 Torsten Rohlfing 2009-06-16 17:28:15 EDT
I am getting the same errors

...
ALSA lib conf.c:3985:(snd_config_expand) Evaluate error: Permission denied
ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib pcm_hw.c:1433:(_snd_pcm_hw_open) Invalid value for card
ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:3513:(_snd_config_evaluate) function snd_func_card_driver returne
... etc. etc. ...

on a fully updated Fedora 11 system. With alsa-plugins-pulseaudio installed, the errors change to

ALSA lib pcm_hw.c:1433:(_snd_pcm_hw_open) Invalid value for card
ALSA lib pulse.c:272:(pulse_connect) PulseAudio: Unable to connect: Connection refused

However, I seem to be unable even as root to get sound working (system-config-soundcard remains silent).

My alsa-info is here:

http://www.alsa-project.org/db/?f=6deef50d6292ea1dcb05b2f78823c1214094abff
Comment 2 topher.wheeler 2009-06-16 17:56:13 EDT
I'm pretty sure I worked around this problem.  It's been a while - I ended up just pouring a bag of lime on Fedora because it sucks.

If I remember correctly (which I probably don't), I edited a config file in /etc

it was either asound.conf , libao.conf , or similar (it may have been in /etc/alsa or some other sub dir)

You basically have to go around and find these little config files (especially the one described above) and remove "pulse" or the like from them and replace with "alsa".  It's ridiculous.

There is a webpage about doing it under Ubuntu that I used to do it at:
http://idyllictux.wordpress.com/2009/04/21/ubuntu-904-jaunty-keeping-the-beast-pulseaudio-at-bay/

good luck.

PULSE AUDIO (and gnome for that matter) SUCK!  What ever happened to KDE 3.5??  That desktop environment is rock solid and the arts sound server can be disabled (or enabled) with one click!  I can't believe how many of these distro's have "vista syndrome".
Comment 3 Bug Zapper 2009-11-18 05:02:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:27:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.